package com.safeway.epe.offersdataproducer.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.safeway.epe.offersdataproducer.domodel.OffersDataDO;
import org.springframework.kafka.support.SendResult;
import org.springframework.util.concurrent.ListenableFuture;

public interface OffersDataProducerService {
    ListenableFuture<SendResult<String, String>> publishOfferEvent(OffersDataDO offersDataDO) throws JsonProcessingException;
}
